List Deposit Addresses POST https://api.gemini.com/v1/addresses/{network}
Returns deposit addresses for the specified blockchain network.
Note Under the terms of the Gemini API Agreement , polling this endpoint may be subject to rate limiting . This endpoint is currently restricted further than standard rate limiting to a rate of 1 request per 2 seconds per subaccount. This rate is subject to change.
curl --request POST \
--url https://api.gemini.com/v1/addresses/bitcoin \
--header 'Content-Type: application/json' \
--header 'X-GEMINI-APIKEY: <string>' \
--header 'X-GEMINI-PAYLOAD: <string>' \
--header 'X-GEMINI-SIGNATURE: <string>' \
--data '
{
"request": "/v1/addresses/bitcoin",
"nonce": "<nonce>"
}
'Roles The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See Roles for more information.
The OAuth scope must have addresses:read or addresses:create assigned to access this endpoint. See OAuth Scopes for more information.
Headers X-GEMINI-APIKEY string · required
Your API key X-GEMINI-SIGNATURE string · required
HEX-encoded HMAC-SHA384 of payload signed with API secret X-GEMINI-PAYLOAD string · required
Base64-encoded JSON payload Content-Type string
Default: text/plain Content-Length string
Default: 0 Cache-Control string
Default: no-cache Path Parameters network string · required
Can be bitcoin, ethereum, bitcoincash, litecoin, zcash, filecoin, dogecoin, tezos, solana, polkadot, avalanche, cosmos, or xrpl Request Body request string · required
The literal string "/v1/addresses/network" nonce TimestampType | integer · required
timestamp Example: 1495127793000 timestamp string | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps. Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET , POST
whole number (milliseconds)
1495127793000
GET , POST
Example: 1495127793000 account string
Required for Master API keys. The name of the account within the subaccount group. {
"request": "/v1/addresses/bitcoin",
"nonce": "<nonce>"
}Responses Properties Example
Successful operation
address string
String representation of the cryptocurrency address timestamp string | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps. Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET , POST
whole number (milliseconds)
1495127793000
GET , POST
Example: 1495127793000 label string
If you provided a label when creating the address, it will be echoed back here memo string
It would be present if applicable, it will be present for cosmos address network string
The blockchain network for the address [
{
"address": "n2saq73aDTu42bRgEHd8gd4to1gCzHxrdj",
"timestamp": 1424285102000,
"label": "my bitcoin address"
},
{
"address": "n2wpl14aJEu10bRgMNd0gdjH8dHJ3h2a3ks",
"timestamp": 1824785101000
}
]